<?php 
session_start();

if (!isset($_SESSION['auth'])) {
    header("Location: login.php");
}

define("dirFolder", dirname($_SERVER['PHP_SELF']));
?>
<!DOCTYPE html>
<html lang="tr">
<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <title>BQ Advanced Indexing - Google Index Checker</title>

  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css">
  <link href="assets/style.css" rel="stylesheet">
</head>
<body>
  <header id="header" class="header fixed-top d-flex align-items-center">
    <div class="d-flex align-items-center justify-content-between">
      <a href="index.php" class="logo d-flex align-items-center">
        <img src="assets/img/logo.png" alt="">
        <span class="d-none d-lg-block">BQ Indexing</span>
      </a>
      <i class="bi bi-list toggle-sidebar-btn"></i>
    </div>
  </header>

  <aside id="sidebar" class="sidebar">
    <ul class="sidebar-nav" id="sidebar-nav">
      <li class="nav-item">
        <a class="nav-link collapsed" href="index.php">
          <i class="bi bi-grid"></i>
          <span>Ana Sayfa</span>
        </a>
      </li> 
      <li class="nav-heading">Araçlar</li>
      <li class="nav-item">
        <a class="nav-link collapsed" href="google-indexing-api.php">
          <i class="bi bi-send"></i>
          <span>Google Indexing API</span>
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link " href="google-index-checker.php">
          <i class="bi bi-google"></i>
          <span>Google Index Checker</span>
        </a>
      </li>
    </ul>
  </aside>
  <main class="main" id="main">
    <section class="section">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-body">
            <h5 class="card-title">Google Index Checker</h5>
            <p style="margin-top: -1vh;" class="text-muted small">Şuan için proxy kullanılmadığından Google, bot olarak algılayabilir. Bir anda çok fazla istek göndermeyin.</p>
            <form method="post" action="requests/google-index-checker.php">
              <div class="form-floating mb-3">
                      <input type="text" class="form-control" name="checkUrl" id="floatingInput" placeholder="alan adı">
                      <label for="floatingInput">Kontrol edilecek bağlantıyı giriniz</label>
              </div>
            <?php if (isset($_SESSION['alert'])):?>
              <div class="alert alert-info alert-dismissible fade show" role="alert">
                <i class="bi bi-info-circle-fill me-1" style="float: left;"></i>
                <p style="margin-left: 2.5vh; margin-bottom: 1vh;"><?php echo $_SESSION['alert']; unset($_SESSION['alert']);?></p>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            <?php endif; ?>
              <div class="col-lg-12">
                <div>
                  <button type="submit" class="btn btn-outline-primary" style="width: 100%;">Gönder</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </section>
  </main>

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm" crossorigin="anonymous"></script>
  <script src="assets/script.js"></script>
</body>
</html>