<?php  
session_start();
if (!isset($_SESSION['auth'])) {
    header("Location: login.php");
}

$errorCount = 0;
$allUrlUnvalid;
$urlArray;

define("dirFolder", dirname($_SERVER['PHP_SELF']));

function CheckErrorCode(int $errorCode){
  switch ($errorCode) {
    case 200:
     return "Gönderildi / 200";
     break;
    case 400:
     return "Geçersiz İstek / 400";
     break;
    case 401:
     return "Yetkisiz İstek / 401";
     break;
    case 402:
     return "İstek Limiti Aşıldı / 402";
     break;
    case 403:
     return "Yasaklı İstek / 403";
     break;
    case 429:
     return "İstek Limiti Aşıldı / 429";
     break;
    case 500:
     return "Sunucu Hatası / 500";
     break;
    case 503:
     return "API Sunucu Hatası / 5003";
     break;
    default:
     return $errorCode;
     break;
  }
}

global $arrFiles;
$arrFiles = glob('uploads/*json');
$count = 0;
foreach ($arrFiles as $key) {
  $arrFiles[$count] = substr($key, 8);
  $count += 1;
}

session_start(); 
if (session_status() == PHP_SESSION_ACTIVE) {
  if (isset($_SESSION['urlInfos'])) {
    global $urlArray;
    $urlArray = $_SESSION['urlInfos'];
    global $errorCount;
    global $allUrlUnvalid;

    foreach ($urlArray as $key) {
      if ($key['statusCode'] != 200) {
        $errorCount += 1;
      }
    }
    if ($errorCount == count($urlArray)) {
      $allUrlUnvalid = 1;
    }
    else {
      $allUrlUnvalid = 0;
    }

  }
}
?>
<!DOCTYPE html>
<html lang="tr">
<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <title>BQ Advanced Indexing - Google Indexing API</title>

  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css">
  <link href="https://cdn.jsdelivr.net/npm/simple-datatables@latest/dist/style.css" rel="stylesheet" type="text/css">
  <link href="assets/style.css" rel="stylesheet">
</head>
<body>
  <header id="header" class="header fixed-top d-flex align-items-center">
    <div class="d-flex align-items-center justify-content-between">
      <a href="index.php" class="logo d-flex align-items-center">
        <img src="assets/img/logo.png" alt="">
        <span class="d-none d-lg-block">BQ Indexing</span>
      </a>
      <i class="bi bi-list toggle-sidebar-btn"></i>
    </div>
  </header>

  <aside id="sidebar" class="sidebar">
    <ul class="sidebar-nav" id="sidebar-nav">
      <li class="nav-item">
        <a class="nav-link collapsed" href="index.php">
          <i class="bi bi-grid"></i>
          <span>Ana Sayfa</span>
        </a>
      </li> 
      <li class="nav-heading">Araçlar</li>
      <li class="nav-item">
        <a class="nav-link " href="google-indexing-api.php">
          <i class="bi bi-send"></i>
          <span>Google Indexing API</span>
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link collapsed" href="google-index-checker.php">
          <i class="bi bi-google"></i>
          <span>Google Index Checker</span>
        </a>
      </li>
    </ul>
  </aside>

   <main class="main" id="main">
  <section class="section">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-body">
          <h5 class="card-title">Google Indexing API</h5>
          <form method="post" action="requests/google-indexing-api.php" enctype="multipart/form-data">
            <div class="row mb-3">
              <div class="col-md-2">
                <label for="inputNumber" class="col-form-label">Service Account Yükle</label>
              </div>
              <div class="col-md-5">
                <input class="form-control" accept="application/JSON" type="file" name="file">
              </div>
              <div class="col-md-5"> 
                <button name="uploadFileButton" id="uploadFileID" type="submit" style="width: 100%;" class="btn btn-outline-primary">Yükle</button>
              </div>
            </div>
          </form>
          <?php if (isset($_SESSION['uploadFileResult'])): ?>
            <div class="col-md-12">
              <div class="alert alert-primary alert-dismissible fade show" role="alert">
                <i class="bi bi-info-circle me-1" style="float: left;"></i> <p style="margin-left: 3vh;"><?php echo $_SESSION['uploadFileResult']; unset($_SESSION['uploadFileResult']);?></p>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
          <?php endif; ?>
          <form method="post" action="requests/google-indexing-api.php">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-floating mb-3">
                  <textarea class="form-control" placeholder="Bağlantılar" id="links" name="urlBox" style="height: 100px;"><?php if (isset($_SESSION['recentUrls'])) {
                    echo $_SESSION['recentUrls'];
                  } ?></textarea>
                  <label for="links">Bağlantılar</label>
                </div>
                <div class="form-floating mb-3">
                  <select class="form-select" id="serviceAccount" name="serviceAccount">
                    <option selected="">Bir service account hesabı seçin</option>
                    <?php 
                    foreach ($arrFiles as $key) {
                      echo "<option value=\"$key\">$key</option>"; }
                      ?>
                    </select>
                    <label for="serviceAccount">Service Account</label>
                  </div>
                </div>
              </div>

              <?php global $errorCount; if($errorCount == 0 && isset($_SESSION['urlInfos'])):?>
              <div class="col-sm-12">
                <div class="alert alert-success alert-dismissible fade show" name="sendingSuccess" role="alert">
                 <h4 class="alert-heading">Gönderim Tamamlandı</h4>
                 <table name="success" class="table table-hover datatable">
                  <thead>
                    <tr>
                      <th scope="col">#</th>
                      <th scope="col">URL</th>
                      <th scope="col">Yanıt</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php 
                    global $urlArray;
                    $z = 0;
                    foreach ($urlArray as $url) 
                    {
                      $z += 1;
                      $urlT = $url['url']; 
                      echo "<tr>";
                      echo "<th scope=\"row\">$z</th>";
                      echo "<th><a href=\"$urlT\" rel=\"nofollow\">$urlT</a></th>";
                      echo "<td>Gönderildi / 200</td>";
                      echo "</tr>";
                    }
                    unset($_SESSION['urlInfos']);
                    ?>
                  </tbody>
                </table>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
          <?php endif;?>
          <?php global $errorCount; global $allUrlUnvalid; if($errorCount > 0 && $allUrlUnvalid == 0 && isset($_SESSION['urlInfos'])):?>
          <div class="col-sm-12">
            <div class="alert alert-warning alert-dismissible fade show" name="sendingSuccess" role="alert">
             <h4 class="alert-heading">Gönderimde Bir Kaç Hata Var</h4>
             <table name="warning" class="table table-hover datatable">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">URL</th>
                  <th scope="col">Yanıt</th>
                </tr>
              </thead>
              <tbody>
                <?php 
                global $urlArray;
                $z = 0;
                foreach ($urlArray as $url) 
                {
                  $z += 1;
                  $urlT = $url['url']; 
                  $urlB = CheckErrorCode((int)$url['statusCode']); 
                  echo "<tr>";
                  echo "<th scope=\"row\">$z</th>";
                  if (filter_var($urlT, FILTER_VALIDATE_URL)) {
                    echo "<th><a href=\"$urlT\" rel=\"nofollow\">$urlT</a></th>";
                  }
                  else {
                    echo "<th>$urlT</th>";
                  }
                  echo "<td>$urlB</td>";
                  echo "</tr>";
                }
                unset($_SESSION['urlInfos']);
                ?>
              </tbody>
            </table>
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
          </div>
        </div>
      <?php endif;?>
      <?php global $errorCount; global $allUrlUnvalid; if($errorCount > 0 && $allUrlUnvalid == 1 && isset($_SESSION['urlInfos'])):?>
      <div class="col-sm-12">
        <div class="alert alert-danger alert-dismissible fade show" name="sendingSuccess" role="alert">
         <h4 class="alert-heading">Gönderim Tamamlanamadı</h4>
         <table name="danger" class="table table-hover datatable">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">URL</th>
              <th scope="col">Yanıt</th>
            </tr>
          </thead>
          <tbody>
            <?php 
            global $urlArray;
            $z = 0;
            foreach ($urlArray as $url) 
            {
              $z += 1;
              $urlT = $url['url']; 
              $urlB = CheckErrorCode((int)$url['statusCode']); 
              echo "<tr>";
              echo "<th scope=\"row\">$z</th>";
              if (filter_var($urlT, FILTER_VALIDATE_URL)) {
                echo "<th><a href=\"$urlT\" rel=\"nofollow\">$urlT</a></th>";
              }
              else {
                echo "<th>$urlT</th>";
              }
              echo "<td>$urlB</td>";
              echo "</tr>";
            }
            unset($_SESSION['urlInfos']);
            ?>
          </tbody>
        </table>
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
      </div>
    </div>
  <?php endif;?>
  <?php if (isset($_SESSION['catchException'])):?>
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
      <p style="margin-bottom: 1vh;">Seçtiğiniz <b>Service Account</b> hesabı geçersiz.</p>
      <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    <?php unset($_SESSION['catchException']);?>
  <?php endif; ?>
  <div>
   <div class="row mb-1">
    <div class="col-sm-10">
      <button type="submit" name="sendUrls" style="min-width: 100%;" class="btn btn-outline-primary">Gönder</button>
    </div>
  </form>
</div>
</div>
</div>
</div>


<div class="col-lg-12">
  <div class="card">
    <div class="card-body">
      <h5 class="card-title">Nasıl Kullanılır?</h5>
      <ul class="nav nav-tabs nav-tabs-bordered" id="borderedTab" role="tablist">
        <li class="nav-item" role="presentation">
          <button class="nav-link active" id="home-tab" data-bs-toggle="tab" data-bs-target="#bordered-home" type="button" role="tab" aria-controls="home" aria-selected="true">Kullanım</button>
        </li>
        <li class="nav-item" role="presentation">
          <button class="nav-link" id="profile-tab" data-bs-toggle="tab" data-bs-target="#bordered-profile" type="button" role="tab" aria-controls="profile" aria-selected="false" tabindex="-1">Hata Kodları</button>
        </li>
      </ul>
      <div class="tab-content pt-2" id="borderedTabContent">
        <div class="tab-pane fade active show" id="bordered-home" role="tabpanel" aria-labelledby="home-tab">
          <div class="accordion mt-3" id="accordionExample">
            <div class="accordion-item">
              <h2 class="accordion-header" id="headingOne">
                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
                  Google API Kurulumu
                </button>
              </h2>
              <div id="collapseOne" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample" style="">
                <div class="accordion-body">
                  <p><span><strong>Google Indexing API'si</strong> Google Botunu bilgilendirip sitenizi taramanıza yarar. <strong>Google Indexing API </strong>sayesinde siteleriniz çok daha hızlı index alabilir. </span>Google Indexing API'sini kullanmak için <strong>Google API Konsolunu</strong> kullanarak <strong>API'ye</strong> erişim izni vermeli ve Service Account oluşturmalısınız, bunun için bir google hesabınız olmalıdır.<span></span></p>
                  <h3><b>Service Account Oluşturma</b></h3>
                  <ol>
                    <li><a rel="noopener nofollow" href="https://console.cloud.google.com/iam-admin/serviceaccounts?hl=tr"><b>Hizmet hesapları</b><span> </span>sayfasını</a><span> </span>açın. İstenirse bir proje seçin.</li>
                    <li><strong>Create Service Account </strong>butonuna tıklayın, herhangi bir isim girin ve 2. ile 3. seçenekleri atlayarak <strong>Done </strong>butonuna basın.
                      <ul style="list-style-type: square;">
                        <li>
                          <img class="mt-3 mb-3 rounded border border-2 border-primary" src="assets/img/service-account-1.jpg" alt="Service Account Oluşturma-1">
                        </li>
                      </ul>
                    </li>
                    <li>Oluşturduğunuz <strong>Service Account</strong> listede belirecektir, burda oluşturduğumuz hesabın ismine tıklayarak <strong>Service Account</strong> detaylarını açıyoruz.</li>
                    <li>Burda <strong>Email </strong>değerini kopyalıyoruz, daha sonra kullanacağız.
                      <ul style="list-style-type: square;">
                        <li>
                          <img class="mt-3 mb-3 rounded border border-2 border-primary" src="assets/img/service-account-2.jpg" alt="Service Account Oluşturma-2">
                        </li>
                      </ul>
                    </li>
                    <li>Sonra <strong>"Keys"</strong> sekmesini açıyoruz ve <strong>Add Key</strong> butonuna basıp, <strong>Create New Key</strong> diyoruz.</li>
                    <li><strong>Key type'ı JSON</strong> olarak seçtikten sonra <strong>Create </strong>diyoruz.</li>
                    <li>Bilgisayarınıza <strong>.JSON </strong>dosyası inecektir, bu sizin <strong>Service Account</strong> dosyanızdır, bunu yukarıda <strong>URL</strong> gönderirken kullanacaksınız. </li>
                  </ol>
                  <h3><b>Google Search Console Ayarları</b></h3>
                  <p>Şimdi oluşturduğumuz <strong>Service Account'u,</strong> sitemize ekleyeceğiz.</p>
                  <ol>
                    <li><a class="external-link" rel="noopener nofollow" href="https://www.google.com/webmasters/verification/home?hl=tr"><b>Web Yöneticisi Merkezi</b></a>'ni açın.</li>
                    <li>İstediğiniz siteyi sol üstten seçiniz, eğer siteniz <strong>Search Console'da</strong> yoksa mutlaka ekleyin!</li>
                    <li><strong>Kullanıcılar ve İzinler</strong> bölümünde, <strong>Kullanıcı Ekle</strong> butonuna basınız.</li>
                    <li>Buraya <strong>Service Account</strong> detaylarında kopyaladığımız <strong>Email </strong>değerini yazıyoruz.
                      <ul style="list-style-type: square;">
                        <li><img class="mb-3 mt-3 rounded border border-2 border-primary"  src="assets/img/search-console-1.jpg" alt=""></li>
                      </ul>
                    </li>
                    <li><strong>İzin </strong>bölümünü <strong>"Sahibi"</strong> olarak ayarlıyoruz ve <strong>Ekle </strong>diyerek işlemleri bitiriyoruz. </li>
                    <li>Tebrikler! API'yi kurdunuz, şimdi ise kullanmayı öğrenmek için aşağıdan okumaya devam ediniz.</li>
                  </ol>
                </div>
              </div>
            </div>
            <div class="accordion-item">
              <h2 class="accordion-header" id="headingTwo">
                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                  API Kullanımı
                </button>
              </h2>
              <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                <div class="accordion-body">
                  <p>İndirdiğiniz <strong>.JSON</strong> dosyasını yukarıdan sisteme yükleyiniz ve istek gönderirken kullanmak istediğiniz <strong>Service Account'u</strong> seçeneklerden seçiniz. </p>
                  <p>Göndermek istediğiniz URL'lerin aralarında bir boşluk olduğundan emin olarak istediğiniz gibi gönderebilirsiniz.</p>
                  <p><strong>Örnek 1:</strong></p>
                  <p><code></code></p>
                  <pre class="language-markup border border-primary border-2 rounded" style="padding-left: 1vh; padding-top: 0.5vh; padding-bottom: 0.5vh;"><code>https://google.com/1<br>https://google.com/2<br>https://google.com</code></pre>
                  <p><strong>Örnek 2:</strong></p>
                  <pre class="language-markup border border-primary border-2 rounded" style="padding-left: 1vh; padding-top: 0.5vh; padding-bottom: 0.5vh;"><code>https://google.com/1 https://google.com/2 https://google.com</code></pre>
                  <p><strong>Örnek 3:</strong></p>
                  <pre class="language-markup border border-primary border-2 rounded" style="padding-left: 1vh; padding-top: 0.5vh; padding-bottom: 0.5vh;"><code>https://google.com/1 https://google.com/2<br>https://google.com</code></pre>
                  <ul style="list-style-type: square;">
                    <li>Gönderdiğiniz site, <strong>Service Account'a</strong> erişim verdiğiniz <strong>Search Console</strong> hesabının sitesiyle aynı olmalıdır.</li>
                    <li>Bir gün içerisinde en fazla 200 URL gönderebilirsiniz. </li>
                    <li>Bir gönderimde en fazla 100 URL gönderebilirsiniz.</li>
                  </ul>
                  <p>Eğer varsayılan kotayı yükseltmek isterseniz <a href="https://docs.google.com/forms/d/e/1FAIpQLSc_mpLw3WnnCt3pVbUHYZZ6ZdOS-c0GIj-WZ_k54SG-jDqCXQ/viewform?hl=tr" title="Google Indexing API kota yükseltme formu" target="_blank" rel="noopener nofollow"><b>bu formu</b></a> doldurabilirsiniz veya bir <b>Service Account</b> hesabı daha oluşturarak sitenizin Search Console'una ekleyebilirsiniz.</p>
                </div>
              </div>
            </div>
        
          </div>
        </div>
        <div class="tab-pane fade" id="bordered-profile" role="tabpanel" aria-labelledby="profile-tab">
          <table class="table table-hover">
            <thead>
              <tr>
                <th scope="col" style="color:#012970">Açıklama</th>
                <th scope="col"style="color:#012970">Kod</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>200</td>
                <td>Başarıyla Google Bot pinglendi.</td>
              </tr>
              <tr>
                <td>400</td>
                <td>Yazdığınız bağlantının yapısında bir sorun var, <b>kullanım</b> sekmesinden yazdığınız bağlantıların nasıl olması gerektiğini öğrenin.</td>
              </tr>
              <tr>
                <td>401</td>
                <td><b>Service Account</b> dosyanızın erişemediği bir siteye istek gönderdiniz.</td>
              </tr>
              <tr>
                <td>402</td>
                <td>Bir dakika içerisinde çok fazla istek gönderdiniz.</td>
              </tr>
              <tr>
                <td>403</td>
                <td><b>Service Account</b> hesabınız doğru yapılandırılmamış veya <b>Service Account</b> hesabınızın erişemediği bir siteye istek gönderdiniz.</td>
              </tr>
              <tr>
                <td>429</td>
                <td>Google Indexing API tarafından verilen günlük 200 istek gönderme limitini aştındınız.</td>
              </tr>
              <tr>
                <td>500</td>
                <td>Google sunucularında bir sorun var.</td>
              </tr>
              <tr>
                <td>503</td>
                <td>Google Indexing API sunucularında bir sorun var.</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
</section>
</main>

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

 <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/simple-datatables@latest" type="text/javascript"></script>
<script src="assets/script.js"></script>
</body>
</html>